export enum QUEUE {
  MAIN = 'MAIN',
}

export enum JOB {
  ADD_FETCH_JOBS = 'ADD_FETCH_JOBS',
  FETCH_MEALS = 'FETCH_MEALS',
  SUGGEST_TO_EVERYONE = 'SUGGEST_TO_EVERYONE',
  HEARTBEAT = 'HEARTBEAT',
}

export const COMMANDS = {
  tahan: '/tahan',
  seaded: '/seaded',
  start: '/start',
  stop: '/stop',
  soovita: '/soovita',
  lemmikud: '/lemmikud',
  otsi: '/otsi',
};

export const CITIES = [
  'TALLINN',
  'TARTU',
  'PARNU',
  'HAAPSALU',
  'KURESSAARE',
  'RAKVERE',
  'VILJANDI',
  'JOHVI',
  'VALGA',
  'MUU-EESTI',
];

const names = [
  'Tallinn',
  'Tartu',
  'Pärnu',
  'Haapsalu',
  'Kuressaare',
  'Rakvere',
  'Viljandi',
  'Jõhvi',
  'Valga',
  'Mujal Eestis',
];

export const getCityName = (city: string) => {
  const index = CITIES.indexOf(city);
  if (index == -1) throw new Error(`Not a valid city "${JSON.stringify(city)}"`);
  return names[index];
};
